com.impinj.octane

## Class BlockPermalockMask

- java.lang.Object
- - com.impinj.octane.BlockPermalockMask

-     public class BlockPermalockMask
      extends java.lang.Object

  Uses to specify which blocks to permalock. Block permalock sets blocks of memory permanently read-only.
  See Also:
    Gen2 Standard page 94

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockPermalockMask()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockPermalockMask` | `fromBlockNumber(short block)` Creates a block permalock mask from the specified block.
    `static BlockPermalockMask` | `fromBlockNumberArray(short[] blocks)` Creates a block permalock mask from an array of block numbers.
    `short[]` | `getMask()`
    `java.lang.String` | `toHexWordString()` Converts the block permalock mask into a hexadecimal string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockPermalockMask

          public BlockPermalockMask()

  - ### Method Detail

    - #### fromBlockNumber

          public static BlockPermalockMask fromBlockNumber(short block)

      Creates a block permalock mask from the specified block.
      Parameters:
        `block` - number
      Returns:
        A block permalock mask

    - #### fromBlockNumberArray

          public static BlockPermalockMask fromBlockNumberArray(short[] blocks)

      Creates a block permalock mask from an array of block numbers.
      Parameters:
        `blocks` - an array of block numbers
      Returns:
        A block permalock mask

    - #### getMask

          public short[] getMask()

      Returns:
        the mask defining which memory banks to lock

    - #### toHexWordString

          public java.lang.String toHexWordString()

      Converts the block permalock mask into a hexadecimal string.
      Returns:
        the mask as a hex string